#
# spec file for package python-espeak
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
# Copyright (c) 2012 Malcolm J Lewis <malcolmlewis@opensuse.org>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-espeak
Version:        0.5
Release:        lp150.1.3
Summary:        Python bindings for espeak
License:        GPL-3.0+
Group:          Development/Languages/Python
Url:            https://launchpad.net/python-espeak
Source0:        https://launchpad.net/python-espeak/trunk/0.5/+download/python-espeak-0.5.tar.gz
BuildRequires:  espeak-devel
BuildRequires:  fdupes
BuildRequires:  gcc-c++
BuildRequires:  python-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%py_requires
%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}

%description
Simple to use yet complete Python bindings for the eSpeak speech synthesizer.

%prep
%setup -q

%build
CFLAGS="%{optflags}" python setup.py build

%install
python setup.py install -O1 --skip-build --prefix=%{_prefix} --root=%{buildroot}
%fdupes %{buildroot}

%files
%defattr(-,root,root)
%doc COPYING NEWS
%{python_sitearch}/espeak/
%{python_sitearch}/python_espeak-%{version}-py%{py_ver}.egg-info

%changelog
* Sat Jan 25 2014 os-dev@jacraig.com
- Update to 0.5:
  * Added support for Python 3.
  * Minor fixes (eg. compiler warnings).
- Added CFLAGS to build step since it compiles a C++ file.
* Tue Mar  6 2012 cfarrell@suse.com
- license update: GPL-3.0+
  No indication of GPL-3.0 (only) files.
* Sat Jan 21 2012 malcolmlewis@opensuse.org
- Initial build.
